llvm-polly-8.0.1-0.359956.2-omv4000.i686.rpm


Advertisement

Description

llvm-polly - Polyhedral optimizations for LLVM

Property Value
Distribution OpenMandriva Lx 4.0
Repository OpenMandriva Main Release i586
Package filename llvm-polly-8.0.1-0.359956.2-omv4000.i686.rpm
Package name llvm-polly
Package version 8.0.1
Package release 0.359956.2-omv4000
Package architecture i686
Package type rpm
Category Development/Other
Homepage http://llvm.org/
License MIT
Maintainer -
Download size 1.42 MB
Installed size 6.78 MB
Polly is a polyhedral optimizer for LLVM.
Using an abstract mathematical representation it analyzes and optimizes
the memory access pattern of a program. This includes data-locality
optimizations for cache locality as well as automatic parallelization
for thread-level and SIMD parallelism.
Our overall goal is an integrated optimizer for data-locality and
parallelism that takes advantage of multi-cores, cache hierarchies,
short vector instructions as well as dedicated accelerators.

Alternatives

Package Version Architecture Repository
llvm-polly-8.0.1-0.359956.2-omv4000.x86_64.rpm 8.0.1 x86_64 OpenMandriva Main Release
llvm-polly - - -

Requires

Name Value
ld-linux.so.2 -
ld-linux.so.2(GLIBC_2.3) -
libLLVMAnalysis.so.8.0 -
libLLVMCore.so.8.0 -
libLLVMIRReader.so.8.0 -
libLLVMInstCombine.so.8.0 -
libLLVMLinker.so.8.0 -
libLLVMMC.so.8.0 -
libLLVMNVPTXCodeGen.so.8.0 -
libLLVMNVPTXDesc.so.8.0 -
libLLVMNVPTXInfo.so.8.0 -
libLLVMPasses.so.8.0 -
libLLVMScalarOpts.so.8.0 -
libLLVMSupport.so.8.0 -
libLLVMTarget.so.8.0 -
libLLVMTransformUtils.so.8.0 -
libLLVMipo.so.8.0 -
libc.so.6(GLIBC_2.4) -
libgcc_s.so.1 -
libgcc_s.so.1(GLIBC_2.0) -
libm.so.6 -
libm.so.6(GLIBC_2.0) -
libstdc++.so.6 -
libstdc++.so.6(CXXABI_1.3) -
libstdc++.so.6(GLIBCXX_3.4) -
libstdc++.so.6(GLIBCXX_3.4.11) -
libstdc++.so.6(GLIBCXX_3.4.14) -
libstdc++.so.6(GLIBCXX_3.4.15) -
libstdc++.so.6(GLIBCXX_3.4.20) -
libstdc++.so.6(GLIBCXX_3.4.21) -
libstdc++.so.6(GLIBCXX_3.4.26) -
libstdc++.so.6(GLIBCXX_3.4.9) -
rtld(GNU_HASH) -

Provides

Name Value
libPolly.so -
libPollyISL.so -
libPollyPPCG.so -
llvm-polly = 8.0.1-0.359956.2
llvm-polly(x86-32) = 8.0.1-0.359956.2

Conflicts

Name Value
libllvm-devel < 4.0.1

Obsoletes

Name Value
libllvm-devel < 4.0.1
llvm-devel < 4.0.1

Download

Type URL
Mirror abf-downloads.openmandriva.org
Binary Package llvm-polly-8.0.1-0.359956.2-omv4000.i686.rpm
Source Package llvm-8.0.1-0.359956.2.src.rpm

Install Howto

  1. Enable the repository in Software Repository Picker:
    # om-repo-picker
  2. Install llvm-polly rpm package:
    # dnf install llvm-polly

Files

Path
/usr/lib/LLVMPolly.so
/usr/lib/libPolly.so
/usr/lib/libPollyISL.so
/usr/lib/libPollyPPCG.so
/usr/share/man/man1/polly.1.xz

See Also

Package Description
llvm-polly-devel-8.0.1-0.359956.2-omv4000.i686.rpm Development files for Polly
lm1100-1.0.2a-28-omv4000.i686.rpm Linux Lexmark 1000/1100 Printer Driver
lm_sensors-3.5.0-2-omv4000.i686.rpm Utilities for lm_sensors
lmarbles-1.0.8-15-omv4000.i686.rpm Summary Atomix-style arcade game
lmdb-0.9.23-1-omv4000.i686.rpm Memory-mapped key-value database
lndir-1.0.3-10-omv4000.i686.rpm Create a shadow directory of symbolic links to another directory tree
locales-2.29-4-omv4000.i686.rpm Base files for localization
locales-2.29-5-omv4000.i686.rpm Base files for localization
locales-aa-2.29-4-omv4000.i686.rpm Base files for localization (Afar)
locales-aa-2.29-5-omv4000.i686.rpm Base files for localization (Afar)
locales-af-2.29-4-omv4000.i686.rpm Base files for localization (Afrikaans)
locales-af-2.29-5-omv4000.i686.rpm Base files for localization (Afrikaans)
locales-agr-2.29-4-omv4000.i686.rpm Base files for localization (Aguaruna)
locales-agr-2.29-5-omv4000.i686.rpm Base files for localization (Aguaruna)
locales-ak-2.29-4-omv4000.i686.rpm Base files for localization (Akan)
Advertisement
Advertisement